> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skop.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Check if the API is healthy and operational. This endpoint does not require authentication.

Returns the overall health status of the API service and its dependencies. This endpoint does not require authentication.

## Example Request

```javascript theme={null}
const response = await fetch('https://api.skop.dev/health/')
const health = await response.json()
console.log(health)
```

## Response

```json theme={null}
{
  "status": "healthy",
  "service": "skop", 
  "version": "1.0.0",
  "timestamp": "2025-07-24T20:50:00Z",
  "dependency_status": "operational"
}
```

### Response Fields

| Field               | Type   | Description                                          |
| ------------------- | ------ | ---------------------------------------------------- |
| `status`            | string | Health status: `healthy`, `degraded`, or `unhealthy` |
| `service`           | string | Service name identifier (always "skop")              |
| `version`           | string | Current API version (1.0.0)                          |
| `timestamp`         | string | ISO 8601 timestamp of the health check               |
| `dependency_status` | string | Status of external dependencies                      |

### Health Status Values

| Status      | Description              |
| ----------- | ------------------------ |
| `healthy`   | All systems operational  |
| `degraded`  | Some non-critical issues |
| `unhealthy` | Critical issues detected |


## OpenAPI

````yaml GET /health/
openapi: 3.1.0
info:
  title: Skop PDF Scraper API
  description: >-
    AI-powered document discovery and extraction from websites using natural
    language prompts
  version: 1.0.0
  contact:
    email: support@skop.dev
  license:
    name: MIT
servers:
  - url: https://api.skop.dev
    description: Production server
security:
  - bearerAuth: []
paths:
  /health/:
    get:
      summary: Health Check
      description: >-
        Check if the API is healthy and operational. This endpoint does not
        require authentication.
      operationId: healthCheck
      responses:
        '200':
          description: API health status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
      security: []
components:
  schemas:
    HealthResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - healthy
            - unhealthy
          description: Overall health status
        service:
          type: string
          example: skop
          description: Service name identifier
        version:
          type: string
          example: 1.0.0
          description: Current API version
        timestamp:
          type: string
          format: date-time
          description: ISO 8601 timestamp of the health check
        dependency_status:
          type: string
          example: operational
          description: Status of external dependencies
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key in format 'sk-xxxxxxxxxxxxx' or 'sk_xxxxxxxxxxxxx'

````